<?php
vc_map(array(
    "name"        => __("Google Maps", "mk_framework"),
    "base"        => "mk_gmaps",
    "category"    => __('Social', 'mk_framework'),
    'icon'        => 'icon-mk-advanced-google-maps vc_mk_element-icon',
    'description' => __('Powerful Google Maps element.', 'mk_framework'),
    "params"      => array(
        array(
            "type"        => "textfield",
            "heading"     => __("Address 1 : Latitude", "mk_framework"),
            "param_name"  => "latitude",
            "value"       => "",
            "description" => __('', "mk_framework"),
        ),
        array(
            "type"        => "textfield",
            "heading"     => __("Address 1 : Longitude", "mk_framework"),
            "param_name"  => "longitude",
            "value"       => "",
            "description" => __('', "mk_framework"),
        ),
        array(
            "type"        => "textfield",
            "heading"     => __("Address 1 : Full Address Text (shown in tooltip)", "mk_framework"),
            "param_name"  => "address",
            "value"       => "",
            "description" => __('', "mk_framework"),
        ),

        array(
            "type"        => "textfield",
            "heading"     => __("Address 2 : Latitude", "mk_framework"),
            "param_name"  => "latitude_2",
            "value"       => "",
            "description" => __('', "mk_framework"),
        ),
        array(
            "type"        => "textfield",
            "heading"     => __("Address 2 : Longitude", "mk_framework"),
            "param_name"  => "longitude_2",
            "value"       => "",
            "description" => __('', "mk_framework"),
        ),
        array(
            "type"        => "textfield",
            "heading"     => __("Address 2 : Full Address Text (shown in tooltip)", "mk_framework"),
            "param_name"  => "address_2",
            "value"       => "",
            "description" => __('', "mk_framework"),
        ),

        array(
            "type"        => "textfield",
            "heading"     => __("Address 3 : Latitude", "mk_framework"),
            "param_name"  => "latitude_3",
            "value"       => "",
            "description" => __('', "mk_framework"),
        ),
        array(
            "type"        => "textfield",
            "heading"     => __("Address 3 : Longitude", "mk_framework"),
            "param_name"  => "longitude_3",
            "value"       => "",
            "description" => __('', "mk_framework"),
        ),
        array(
            "type"        => "textfield",
            "heading"     => __("Address 3 : Full Address Text (shown in tooltip)", "mk_framework"),
            "param_name"  => "address_3",
            "value"       => "",
            "description" => __('', "mk_framework"),
        ),

        array(
            "type"        => "upload",
            "heading"     => __("Upload Marker Icon", "mk_framework"),
            "param_name"  => "pin_icon",
            "value"       => "",
            "description" => __("If left blank Google Default marker will be used.", "mk_framework"),
        ),
        array(
            "type"        => "range",
            "heading"     => __("Map height", "mk_framework"),
            "param_name"  => "height",
            "value"       => "400",
            "min"         => "1",
            "max"         => "1000",
            "step"        => "1",
            "unit"        => 'px',
            "description" => __('Enter map height in pixels. Example: 200).', "mk_framework"),
        ),

        array(
            "type"        => "toggle",
            "heading"     => __("Full Height?", "mk_framework"),
            "param_name"  => "full_height",
            "value"       => "false",
            "description" => __("", "mk_framework"),
        ),

        array(
            "type"        => "toggle",
            "heading"     => __("Parallax Effect?", "mk_framework"),
            "param_name"  => "parallax",
            "value"       => "false",
            "description" => __("If you dont want to have parallax effect in this shortcode disable this option.", "mk_framework"),
        ),
        array(
            "type"        => "range",
            "heading"     => __("Zoom", "mk_framework"),
            "param_name"  => "zoom",
            "value"       => "14",
            "min"         => "1",
            "max"         => "19",
            "step"        => "1",
            "unit"        => '',
            "description" => __('', "mk_framework"),
        ),
        array(
            "type"        => "toggle",
            "heading"     => __("Pan Control", "mk_framework"),
            "param_name"  => "pan_control",
            "value"       => "true",
            "description" => __("", "mk_framework"),
        ),
        array(
            "type"        => "toggle",
            "heading"     => __("Draggable", "mk_framework"),
            "param_name"  => "draggable",
            "value"       => "true",
            "description" => __("", "mk_framework"),
        ),
        array(
            "type"        => "toggle",
            "heading"     => __("Zoom Control", "mk_framework"),
            "param_name"  => "zoom_control",
            "value"       => "true",
            "description" => __("", "mk_framework"),
        ),
        array(
            "type"        => "toggle",
            "heading"     => __("Map Type Control", "mk_framework"),
            "param_name"  => "map_type_control",
            "value"       => "true",
            "description" => __("", "mk_framework"),
        ),
        array(
            "type"        => "toggle",
            "heading"     => __("Scale Control", "mk_framework"),
            "param_name"  => "scale_control",
            "value"       => "true",
            "description" => __("", "mk_framework"),
        ),

        array(
            "type"        => "dropdown",
            "heading"     => __("Modify Google Maps Hue, Saturation, Lightness", "mk_framework"),
            "param_name"  => "modify_coloring",
            "value"       => array(
                __("No", "mk_framework")  => "false",
                __("Yes", "mk_framework") => "true",
            ),
            "description" => __("", "mk_framework"),
        ),
        array(
            "type"        => "colorpicker",
            "heading"     => __("Hue", "mk_framework"),
            "param_name"  => "hue",
            "value"       => "#ccc",
            "description" => __("Sets the hue of the feature to match the hue of the color supplied. Note that the saturation and lightness of the feature is conserved, which means, the feature will not perfectly match the color supplied .", "mk_framework"),
            "dependency"  => array(
                'element' => "modify_coloring",
                'value'   => array(
                    'true',
                ),
            ),
        ),
        array(
            "type"        => "range",
            "heading"     => __("Saturation", "mk_framework"),
            "param_name"  => "saturation",
            "value"       => "1",
            "min"         => "-100",
            "max"         => "100",
            "step"        => "1",
            "unit"        => '',
            "description" => __('Shifts the saturation of colors by a percentage of the original value if decreasing and a percentage of the remaining value if increasing. Valid values: [-100, 100].', "mk_framework"),
            "dependency"  => array(
                'element' => "modify_coloring",
                'value'   => array(
                    'true',
                ),
            ),
        ),
        array(
            "type"        => "range",
            "heading"     => __("Lightness", "mk_framework"),
            "param_name"  => "lightness",
            "value"       => "1",
            "min"         => "-100",
            "max"         => "100",
            "step"        => "1",
            "unit"        => '',
            "description" => __('Shifts lightness of colors by a percentage of the original value if decreasing and a percentage of the remaining value if increasing. Valid values: [-100, 100].', "mk_framework"),
            "dependency"  => array(
                'element' => "modify_coloring",
                'value'   => array(
                    'true',
                ),
            ),
        ),

        array(
            "type"        => "dropdown",
            "heading"     => __("Custom Map Styles", "mk_framework"),
            "param_name"  => "modify_json",
            "value"       => array(
                __("No", "mk_framework")  => "false",
                __("Yes", "mk_framework") => "true",
            ),
            "description" => __("", "mk_framework"),
        ),
        array(
            "type"        => "textarea_raw_html",
            "heading"     => __("JSON", "mk_framework"),
            "param_name"  => "map_json",
            "holder"      => 'div',
            "value"       => "",
            "description" => __("Paste your code here", "mk_framework"),
            "dependency"  => array(
                'element' => "modify_json",
                'value'   => array(
                    'true',
                ),
            ),
        ),
        $add_device_visibility,
        array(
            "type"        => "textfield",
            "heading"     => __("Extra class name", "mk_framework"),
            "param_name"  => "el_class",
            "value"       => "",
            "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "mk_framework"),
        ),
    ),
));