<?php
vc_map(array(
    "name"        => __("Icon Text", "mk_framework"),
    "base"        => "mk_icon_text",
    "category"    => __('General', 'mk_framework'),
    'icon'        => 'icon-mk-icon-box vc_mk_element-icon',
    'description' => __('Powerful & versatile Icon Text.', 'mk_framework'),
    "params"      => array(
        array(
            "type"        => "dropdown",
            "heading"     => __("Skin", "mk_framework"),
            "param_name"  => "skin",
            "width"       => 300,
            "value"       => array(
                __('Dark', "mk_framework")   => "dark",
                __('Light', "mk_framework")  => "light",
                __('Custom', "mk_framework") => "custom",
            ),
            "description" => __("", "mk_framework"),
        ),
        array(
            "type"        => "colorpicker",
            "heading"     => __("Custom Color?", "mk_framework"),
            "param_name"  => "custom_color",
            "value"       => "",
            "description" => __("", "mk_framework"),
            "dependency"  => array(
                'element' => "skin",
                'value'   => array(
                    'custom',
                ),
            ),
        ),
        array(
            "type"        => "textfield",
            "heading"     => __("Default Text", "mk_framework"),
            "param_name"  => "default_txt",
            "value"       => "",
            "description" => __("", "mk_framework"),
        ),
        array(
            "type"        => "dropdown",
            "heading"     => __("Default Text Font Weight", "mk_framework"),
            "param_name"  => "default_txt_font_weight",
            "width"       => 200,
            "default"     => 'bold',
            "value"       => array(
                __('Default', "mk_framework")   => "inherit",
                __('Bolder (900)', "mk_framework")    => "900",
                __('Bolder (800)', "mk_framework")    => "bolder",
                __('Bold (700)', "mk_framework")      => "bold",
                __('Semi Bold (600)', "mk_framework") => "600",
                __('Medium (500)', "mk_framework")    => "500",
                __('Normal (400)', "mk_framework")    => "normal",
                __('Light (300)', "mk_framework")     => "300",
                __('Lighter (200)', "mk_framework")     => "200",
                __('Lighter (100)', "mk_framework")     => "100",
            ),
            "description" => __("", "mk_framework"),
        ),
        array(
            "type"        => "range",
            "heading"     => __("Default Text Font Size?", "mk_framework"),
            "param_name"  => "font_size",
            "value"       => "30",
            "min"         => "15",
            "max"         => "100",
            "step"        => "1",
            "unit"        => 'px',
            "description" => __("", "mk_framework"),
        ),

        array(
            "type"        => "textfield",
            "heading"     => __("On Hover Text", "mk_framework"),
            "param_name"  => "hover_txt",
            "value"       => "",
            "description" => __("", "mk_framework"),
        ),
        array(
            "heading"     => __("On Hover Text Font Size", "mk_framework"),
            "param_name"  => "hover_font_size",
            "value"       => "16",
            "min"         => "15",
            "max"         => "30",
            "step"        => "1",
            "unit"        => 'px',
            "description" => __("", "mk_framework"),
            'type'        => 'range',
        ),
        array(
            "heading"     => __("On Hover Text Line Height", "mk_framework"),
            "param_name"  => "hover_line_height",
            "value"       => "18",
            "min"         => "15",
            "max"         => "50",
            "step"        => "1",
            "unit"        => 'px',
            "description" => __("", "mk_framework"),
            'type'        => 'range',
        ),
        array(
            "type"        => "dropdown",
            "heading"     => __("On Hover Text Font Weight", "mk_framework"),
            "param_name"  => "hover_txt_font_weight",
            "width"       => 200,
            "default"     => 'bold',
            "value"       => array(
                __('Default', "mk_framework")   => "inherit",
                __('Bolder (900)', "mk_framework")    => "900",
                __('Bolder (800)', "mk_framework")    => "bolder",
                __('Bold (700)', "mk_framework")      => "bold",
                __('Semi Bold (600)', "mk_framework") => "600",
                __('Medium (500)', "mk_framework")    => "500",
                __('Normal (400)', "mk_framework")    => "normal",
                __('Light (300)', "mk_framework")     => "300",
                __('Lighter (200)', "mk_framework")     => "200",
                __('Lighter (100)', "mk_framework")     => "100",
            ),
            "description" => __("", "mk_framework"),
        ),

        array(
            "type"        => "textfield",
            "heading"     => __("Link (optional)", "mk_framework"),
            "param_name"  => "link",
            "value"       => "",
            "description" => __("Will convert the icon to a link.", "mk_framework"),
        ),
        array(
            "type"        => "dropdown",
            "heading"     => __("Link Target", "mk_framework"),
            "param_name"  => "target",
            "width"       => 200,
            "value"       => $target_arr,
            "description" => __("", "mk_framework"),
        ),

        array(
            "type"        => "textfield",
            "heading"     => __("Add Icon Class Name", "mk_framework"),
            "param_name"  => "icon",
            "value"       => "",
            "description" => __("<a target='_blank' href='" . admin_url('admin.php?page=Ken#mk-cp-icon-library') . "'>Click here</a> to get the icon class name (or any other font icons library that you have installed in the theme)", "mk_framework"),
        ),

        array(
            "type"        => "dropdown",
            "heading"     => __("Icon Size", "mk_framework"),
            "param_name"  => "icon_size",
            "width"       => 300,
            "value"       => array(
                __('48px', "mk_framework")  => "48",
                __('64px', "mk_framework")  => "64",
                __('128px', "mk_framework") => "128",
            ),
            "description" => __("", "mk_framework"),
        ),

        array(
            "type"        => "dropdown",
            "heading"     => __("Viewport Animation", "mk_framework"),
            "param_name"  => "animation",
            "value"       => $css_animations,
            "description" => __("Viewport animation will be triggered when this element is being viewed when you scroll page down. you only need to choose the animation style from this option. please note that this only works in moderns. We have disabled this feature in touch devices to increase browsing speed.", "mk_framework"),
        ),

        array(
            "type"        => "textfield",
            "heading"     => __("Extra class name", "mk_framework"),
            "param_name"  => "el_class",
            "value"       => "",
            "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "mk_framework"),
        ),
    ),
));