<?php
vc_map(array(
    "name"        => __("Tab Slider", "mk_framework"),
    "base"        => "mk_tab_slider",
    'icon'        => 'icon-mk-edge-slider vc_mk_element-icon',
    "category"    => __('Slideshows', 'mk_framework'),
    'description' => __('Powerful Tab Slider.', 'mk_framework'),
    "params"      => array(
        array(
            'type'        => 'autocomplete',
            'heading'     => __( 'Select specific Tabs', 'mk_framework' ),
            'param_name'  => 'slides',
            'settings' => array(
                                'multiple' => true,
                                'sortable' => true,
                                'unique_values' => true,
                            ),
            'description' => __( 'Search for post ID or post title to get autocomplete suggestions', 'mk_framework' ),
        ),
        array(
            "heading"     => __("Order", 'mk_framework'),
            "description" => __("Designates the ascending or descending order of the 'orderby' parameter.", 'mk_framework'),
            "param_name"  => "order",
            "value"       => array(
                __("DESC (descending order)", 'mk_framework') => "DESC",
                __("ASC (ascending order)", 'mk_framework')   => "ASC",
            ),
            "type"        => "dropdown",
        ),
        array(
            "heading"     => __("Orderby", 'mk_framework'),
            "description" => __("Sort retrieved slides items by parameter.", 'mk_framework'),
            "param_name"  => "orderby",
            "value"       => $mk_orderby,
            "type"        => "dropdown",
        ),
        array(
            "type"        => "toggle",
            "heading"     => __("Full Height?", "mk_framework"),
            "param_name"  => "full_height",
            "value"       => "true",
            "description" => __("If you dont want full screen height slideshow disable this option. If you disable this option set the height of slideshow using below option.", "mk_framework"),
        ),
        array(
            "type"        => "range",
            "heading"     => __("Slideshow Height", "mk_framework"),
            "param_name"  => "height",
            "value"       => "700",
            "min"         => "100",
            "max"         => "2000",
            "step"        => "1",
            "unit"        => 'px',
            "description" => __("This option only works when above option is disabled.", "mk_framework"),
        ),
        array(
            "type"        => "range",
            "heading"     => __("Animation Speed", "mk_framework"),
            "param_name"  => "animation_speed",
            "value"       => "700",
            "min"         => "100",
            "max"         => "3000",
            "step"        => "1",
            "unit"        => 'ms',
            "description" => __("", "mk_framework"),
        ),
        array(
            "type"        => "range",
            "heading"     => __("Slideshow Speed", "mk_framework"),
            "param_name"  => "slideshow_speed",
            "value"       => "7000",
            "min"         => "1000",
            "max"         => "20000",
            "step"        => "1",
            "unit"        => 'ms',
            "description" => __("", "mk_framework"),
        ),
        $add_device_visibility,
        array(
            "type"        => "textfield",
            "heading"     => __("Extra class name", "mk_framework"),
            "param_name"  => "el_class",
            "value"       => "",
            "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in Custom CSS Shortcode or Masterkey Custom CSS option.", "mk_framework"),
        ),

    ),
));